package beyondsoft.bewomitarbeiterapp;

/**
 * Created by bib on 07.06.2016.
 */
public class ContactList {


    private int _id;
    private String _kontaktname;
    private String _art;
    private byte[] _picture;

    //default Construkt
    public ContactList(){}

    //Construkt 1
    public ContactList(int id, String kontaktname, String art,byte[] picture){
        this._id = id;
        this._kontaktname = kontaktname;
        this._art = art;
        this._picture = picture;
    }

    //Construkt 2
    public ContactList(String kontaktname,String art,byte[] picture){
        this._kontaktname = kontaktname;
        this._art = art;
        this._picture = picture;
    }

    //Construkt 3
    public ContactList(String kontaktname,String art){
        this._kontaktname = kontaktname;
        this._art = art;
        this._picture = null;
    }

    //Construkt4
    public ContactList(int id, String kontaktname, String art){
        this._id = id;
        this._kontaktname = kontaktname;
        this._art = art;
        this._picture = null;
    }

    //ID
    public int getID(){
        return this._id;
    }

    public void setID(int id){
        this._id = id;
    }


    // KONTAKT
    public String getKontaktName(){
        return this._kontaktname;
    }

    public void setKontaktName(String k){
        this._kontaktname = k;
    }

    //ART
    public String getArt(){
        return this._art;
    }

    public void setArt(String a){
        this._art = a;
    }

    //Picture
    public byte[] getPicture(){
        return this._picture;
    }

    public void setPicture(byte[] d){
        this._picture = d;
    }

}
